body, figure {
    margin: 0;
}

* {
    box-sizing: border-box;
}
.while-loading .outer-wrapper {
    position: relative;
    background: #fff;
}

.while-loading .topbar {
    background: #333;
}

.while-loading .topbar .topbar-container {
    display: flex;
    justify-content: center;
}
@media (min-width: 576px) {
    .while-loading .container {
        width: 560px;
    }
}
@media (min-width: 992px) {
    .while-loading .container {
        width: 974px;
    }
}
@media (min-width: 1400px) {
    .while-loading .container {
        width: 1382px;
    }
}

.while-loading .container {
    margin-right: auto;
    margin-left: auto;
    padding-left: 15px;
    padding-right: 15px;
}

.while-loading .container:before, .while-loading .with-container-margins:before, .while-loading .container:after, .with-container-margins:after {
    content: " ";
    display: table;
}

.while-loading .topbar .topbar-container .topbar-subgroup {
    height: 32px;
    white-space: nowrap;
    flex-grow: 1;
}

.while-loading .newmenu {
    height: 150px;
    position: relative;
}

@media (max-width: 991px) {
    .while-loading .newmenu {
    height: 105px;
    z-index: unset;
}
}
.while-loading .newmenu .container, .while-loading .newmenu .with-container-margins {
    height: 100%;
    position: relative;
}

.while-loading .newmenu .container .coromant-logo a img, .while-loading .newmenu .with-container-margins .coromant-logo a img {
    height: 100px;
    width: auto;
}

@media (max-width: 991px) {
    .while-loading .newmenu .container .coromant-logo a img, .while-loading .newmenu .with-container-margins .coromant-logo a img {
    height: 90px;
}
}

.while-loading .newmenu .container .main-search, .while-loading .newmenu .with-container-margins .main-search {
    position: absolute;
    right: 0;
    top: 0;
    margin: 15px 15px 0 0;
    display: flex;
    align-items: center;
}
@media (min-width: 992px) {
    .while-loading .newmenu .container .main-search, .while-loading .newmenu .with-container-margins .main-search {
      margin: 33px 15px 0 0;
    }
}
    
#searchboxsp15 {
    background: #eff1f3 !important;
    border-radius: 6px !important;
    border: none !important;
}
.while-loading .newmenu .container .main-search .main-search-box, .while-loading .newmenu .with-container-margins .main-search .main-search-box {
    background: #fff;
    border: 1px solid #ccc;
    border-right: none;
    border-radius: 0 !important;
    box-shadow: 0 0 0 !important;
    -webkit-appearance: none;
    padding: 0 10px;
    width: 400px;
    height: 40px;
}

@media (max-width: 991px) {
    .while-loading .newmenu .container .main-search, .while-loading .newmenu .with-container-margins .main-search {
    top: 35px;
  }
}

@media (max-width: 767px) {
    .while-loading .newmenu .container .main-search, .while-loading .newmenu .with-container-margins .main-search {
    width: calc(100% - 135px);
}
}
@media (max-width: 600px) {
    .while-loading .newmenu .container .main-search .main-search-box, .while-loading .newmenu .with-container-margins .main-search .main-search-box {
    width: 100%;
}
}

.while-loading .start-page-layout .page-container.container, .while-loading .while-loading .start-page-layout .page-container.with-container-margins {
    width: 100%;
    margin: 0;
    padding: 0;
}

.while-loading .top-banner {
    position: relative;
    margin: 0;
    padding: 0;
    margin-bottom: 20px;
    width: 100%;
    min-height: 379px;
}
.while-loading .top-banner figure {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.while-loading .latest-news-l h3 {
    padding-top: 20px;
    width: 100%;
    border-bottom: 1px solid #ccc;
    padding-bottom: 10px;
    margin-bottom: 20px;
    font-size: 16px;
}
.while-loading .latest-news-l .tile-container {
    display: flex;
    flex-wrap: wrap;
    margin: 0 -10px;
}
@media screen and (min-resolution: 0.001dpcm) and (min-width: 0) {
    .while-loading .latest-news-l article {
    float: left !important; 
}
}

@media (max-width: 1199px) {
    .while-loading .latest-news-l article {
        width: 50% !important;
    }
    }
    
    @media (max-width: 479px) {
        .while-loading .latest-news-l article {
    width: 100% !important;
}
}

.while-loading .latest-news-l article {
    width: 25%;
    margin: 0;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    padding: 0 0 20px 0;
}
.while-loading .latest-news-l article figure {
    width: 100%;
    height: 150px;
}
.while-loading .middle-banner-l {
    padding: 25px 0 35px 0;
    text-align: center;
    position: relative;
    overflow: hidden;
    margin-bottom: 20px;
}

.while-loading .middle-banner-l figure {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: .25;
}


body {
    background: #575757;
}

.while-loading .skeleton-box {
    background: #eff1f3 ;
    border-radius: 6px ;
    border: none ;
}

.while-loading.start-page-layout .content-wrapper {
    animation: fullView 0.5s forwards cubic-bezier(0.250, 0.460, 0.450, 0.940);
}

@keyframes fullView {
    100% {
      width: 100%;
    }
}

.while-loading .animate {
    animation : shimmer 4s infinite linear;
    background: linear-gradient(to right, #eff1f3 4%, #e2e2e2 25%, #eff1f3 36%);
    background-size: 1000px 100%;
 }
 
 @keyframes shimmer {
   0% {
     background-position: -1000px 0;
   }
   100% {
     background-position: 1000px 0;
   }
 }

 .while-loading .newmenu#header {
     border: none !important;
 }

 .while-loading #searchboxsp15 {
    background: #eff1f3 !important;
    border-radius: 6px !important;
    border: none !important;
    
 }

 .while-loading h3.skeleton-box, .while-loading h4.skeleton-box {
    border-bottom: none;
    width: 150px;
    height: 20px;     
    margin-bottom: 15px;
 }

 .while-loading p.skeleton-box {
    display: block;
    width: 100%;
    height: 12px;     
    margin-bottom: 15px;
 }

 .while-loading .top-banner .skeleton-box, .while-loading .middle-banner-l .skeleton-box {
    margin: 0 15px;
    height: 100%;
}

.while-loading .middle-banner-l {
    height: 145px;
}
 
.while-loading .middle-banner-l figure {
    opacity: 1;
}


.while-loading .now-loading-screen {
    height: 100vh;
}
.while-loading .now-loading-screen .logo {
    position: absolute;
    height: 100px;
    width: 100px;
    left: 15%;
    top: 0;
}

.while-loading #counter {
    position: absolute;
    top:50%;
    left: 50%;
    margin-left: 7px;
    margin-top: 5px;
    z-index: 1000;    
    font-family: sans-serif;
    color: white;
}
.while-loading .now-loading, .now-loading:before {
    border-radius: 50%;
    width: 50px;
    height: 50px;
}
.while-loading .now-loading {
    position: absolute;
    box-sizing: content-box;
    top:50%;
    left: 50%;
    margin-left: -25px;
    margin-top: -25px;
    z-index: 999;
    border-top: 12px solid rgba(0, 0, 0, 0.25);
    border-right: 12px solid rgba(0, 0, 0, 0.25);
    border-bottom: 12px solid rgba(0, 0, 0, 0.25);
    border-left: 12px solid #fae922;

    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-animation: loading 1.1s infinite linear;
    animation: loading 1.1s infinite linear;
    box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.75), inset 0 0 0 1px rgba(0, 0, 0, 0.75)
}
@-webkit-keyframes loading {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@keyframes loading {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}      

.while-loading .push-banner {
    width: 100%;
    margin: 0;
    padding: 0;
}

.while-loading .push-banner .tile-container {
    display: flex;
    flex-flow: wrap;
    margin: 0 -10px;
}

.while-loading .push-banner section {
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    margin-bottom: 20px;
    display: flex;
    justify-content: center;
    flex-flow: column;
    overflow: hidden;
    padding: 20px;
    position: relative;
    flex-grow: 1;
    height: 168px !important;
}

.while-loading .push-banner section {
    flex-basis: 100%;
}

@media (min-width: 768px) {
    .while-loading .push-banner section:not(.not-small) {
        flex: auto;
    }
}

.while-loading .push-banner .skeleton-box {
    margin-left: 10px;
    margin-right: 10px;
}
